# DBus-C++

## Desktop Communication Bus System

libdbus-c-- Documentation 0.9.0

- Files
- Data Structures
- Globals
- Main Page

Private Member Functions | Friends | List of all members
DBus::BusTimeout Class Reference

`#include <eventloop-integration.h>`

Inheritance diagram for DBus::BusTimeout:

## Private Member Functions

| BusTimeout (Timeout::Internal *, BusDispatcher *)
void | toggle ()

## Friends

class | BusDispatcher

## Additional Inherited Members

Public Member Functions inherited from DBus::Timeout
| Timeout (Internal *i)
virtual | ~Timeout ()
int | interval () const
| Gets the timeout interval.
bool | enabled () const
bool | handle ()
| Calls the timeout handler for this timeout.
Public Member Functions inherited from DBus::DefaultTimeout
| DefaultTimeout (int interval, bool repeat, DefaultMainLoop *)
virtual | ~DefaultTimeout ()
bool | enabled ()
void | enabled (bool e)
int | interval ()
void | interval (int i)
bool | repeat ()
void | repeat (bool r)
void * | data ()
void | data (void *d)
Public Attributes inherited from DBus::DefaultTimeout
Slot< void, DefaultTimeout & > | expired

## Detailed Description

Definition at line 44 of file eventloop-integration.h.

## Constructor & Destructor Documentation

## ◆ BusTimeout()

BusTimeout::BusTimeout | ( | Timeout::Internal * | ti,
|  | BusDispatcher * | bd )

private

Definition at line 46 of file eventloop-integration.cpp.

References BusDispatcher, DBus::DefaultTimeout::DefaultTimeout(), DBus::DefaultTimeout::enabled(), DBus::Timeout::enabled(), DBus::Timeout::interval(), and DBus::Timeout::Timeout().

## Member Function Documentation

## ◆ toggle()

void BusTimeout::toggle | ( |  | ) |

private virtual

Implements DBus::Timeout.

Definition at line 52 of file eventloop-integration.cpp.

References DBus::debug_log, DBus::DefaultTimeout::enabled(), and DBus::Timeout::enabled().

## Friends And Related Symbol Documentation

## ◆ BusDispatcher

friend class BusDispatcher

friend

Definition at line 50 of file eventloop-integration.h.

References BusDispatcher.

Referenced by BusDispatcher, and BusTimeout().

The documentation for this class was generated from the following files:

- eventloop-integration.h
- eventloop-integration.cpp